%global srcname subprocess-tee

Name:    python-%{srcname}
Version: 0.3.5
Release: 1%{?dist}
Summary: A subprocess.run that works like tee, being able to display output in real time while still capturing it

URL:     https://github.com/pycontribs/subprocess-tee
Source:  %{pypi_source}
License: MIT

Patch0: 0002_ignoring_molecule_test.patch

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3dist(rich)
BuildRequires: python3dist(enrich)
# BuildRequires: python3dist(molecule)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(setuptools-scm)

# testing requirements
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-cov)
BuildRequires: python3dist(pytest-mock)
BuildRequires: python3dist(pytest-xdist)

%global _description %{expand:
This package provides an drop-in alternative to subprocess.run that captures
the output while still printing it in real time, just the way tee does.
}

%description %{_description}

%package -n python3-%{srcname}
Summary: A subprocess.run that works like tee, being able to display output in real time while still capturing it

Requires: python3dist(rich)
Requires: python3dist(enrich)

%py_provides python3-%{srcname}
%description -n python3-%{srcname} %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build

%install
%py3_install

%check
%{python3} -m pytest src/subprocess_tee/test -v

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/subprocess_tee/
%{python3_sitelib}//subprocess_tee-*.egg-info/

%changelog
* Mon Dec 06 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.3.5-1
- Update to version 0.3.5 (#2003693)

* Thu Sep 30 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.3.4-1
- Update to version 0.3.4 (#2003693)

* Wed Sep 01 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.3.2-1
- Update to version 0.3.2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.0-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 03 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.2.0-1
- Update to version 0.2.0

* Wed Nov 25 2020 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.1.5-1
- Initial commit
